<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zzsmart.qomo.kn.cost.manage.mapper.CostMaterialProcessHoursMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.zzsmart.qomo.kn.cost.manage.entity.CostMaterialProcessHours">
        <id column="id" property="id" />
        <result column="material_code" property="materialCode" />
        <result column="material_name" property="materialName" />
        <result column="level" property="level" />
        <result column="quantity" property="quantity" />
        <result column="purchase_type" property="purchaseType" />
        <result column="work_process" property="workProcess" />
        <result column="described" property="described" />
        <result column="labor_hours" property="laborHours" />
        <result column="device_hours" property="deviceHours" />
        <result column="work_center" property="workCenter" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="remark" property="remark" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, material_code, material_name, level, quantity, purchase_type, work_process, described, labor_hours, device_hours, work_center, create_by, create_time, update_by, update_time, remark
    </sql>

</mapper>
